package domain

type AlibabaWdkCouponTemplateCreateUserInfo struct {
	/*
	   来源     */
	Source *string `json:"source,omitempty" `

	/*
	   用户id     */
	UserId *int64 `json:"user_id,omitempty" `

	/*
	   用户名称     */
	UserName *string `json:"user_name,omitempty" `
}

func (s *AlibabaWdkCouponTemplateCreateUserInfo) SetSource(v string) *AlibabaWdkCouponTemplateCreateUserInfo {
	s.Source = &v
	return s
}
func (s *AlibabaWdkCouponTemplateCreateUserInfo) SetUserId(v int64) *AlibabaWdkCouponTemplateCreateUserInfo {
	s.UserId = &v
	return s
}
func (s *AlibabaWdkCouponTemplateCreateUserInfo) SetUserName(v string) *AlibabaWdkCouponTemplateCreateUserInfo {
	s.UserName = &v
	return s
}
